Subject: Possible regression in next-20150323 due to "ARM, arm64: kvm: get rid of the bounce page"

From: [email-masked] (Kevin Hilman)
Date: Wed, 01 Apr 2015 11:12:10 -0700

Hi Will,

Will Deacon <[email-masked]> writes:

[...]

>> >
>> > Thanks for testing this and sorry for the continued breakage. Which
>> > toolchain did you say you were using? Ard has some more patches trying to
>> > fix this, but none of our toolchains seem to tickle the issue.
>> 
>> I've also tested on the default ARM toolchains available with ubuntu[1]
>> 
>> Are there any updates on this issue?
>
> It's been fixed since the end of last week!
>
> (see ARM: kvm: round HYP section to page size instead of log2 upper bound)
>
> This was confirmed by both my testing and also Simon Horman, who reported
> the initial breakage.
>
>> It ha broken most of the ARM defconfigs in linux-next[2], and since it's
>> been broken for a week now, it is masking other types of issues that we
>> can normally find via automated boot testing.
>
> If you're referring to failures such as:
>
>   http://storage.kernelci.org/next/next-20150331/arm-axm55xx_defconfig/build.log

Yes, that's the one I'm trying to track down.

> Then that's not coming from the arm64 tree, and is a completely separate
> issue from the one originally reported in this thread.

Ugh, womehow I got wires crossed and thought they were related problems.
Looks like Geert now has a proposed fix for the issue I'm tracking.

Sorry for the noise,

Kevin